AOZ Studio Beta - Bug #122
Cls - slight incompatibility issue
02/05/2020 09:53 AM - Nick Morison

Status: Closed Start date: 02/05/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.5

Affected version: 0.9.4

Description

When no colour value is used in the cls command the below code clears the screen black (colour 0) in Aoz, but clears the screen
using colour 1 (orange / red) in Amos:

#manifest:"amiga"
#fullScreen:true
#splashScreen:false

screen open 0,320,200,16, lowres
curs off: flash off: cls
wait key

History

#1 - 02/22/2020 08:48 AM - Francois Lionet
- Status changed from New to Resolved

- Target version set to 0.9.5

Fixed In Amiga mode, it now uses color # 1

#2 - 03/07/2020 12:41 PM - Baptiste Pillot
- Description updated

- Status changed from Resolved to Closed

source : https:/www.amos2.fr/ide/Amos2/Ide/Program/479
run : https://www.amos2.fr/run/tickleman/122

result : orange

ok
